#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LC_ALL = C.UTF-8

export LIB_PREFIX=/opt/keepassxc-libs

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DKEEPASSXC_BUILD_TYPE=Release \
		-DWITH_TESTS=ON \
		-DWITH_GUI_TESTS=OFF  \
		-DWITH_XC_ALL=ON \
		-DWITH_XC_KEESHARE_SECURE=ON \
		-DCMAKE_CXX_FLAGS="-I$(LIB_PREFIX)/include" \
		-DCMAKE_EXE_LINKER_FLAGS="-L$(LIB_PREFIX)/lib/$(DEB_HOST_MULTIARCH) \
			-Wl,-rpath,$(LIB_PREFIX)/lib/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_INCLUDE_PATH="$(LIB_PREFIX)/include" \
		-DCMAKE_LIBRARY_PATH="$(LIB_PREFIX)/lib/$(DEB_HOST_MULTIARCH)"

override_dh_auto_test:
	dh_auto_test -- \
	ARGS+="-E testgui\|testcli"
#	xvfb-run -a --server-args="-screen 0 800x600x24" dh_auto_test -- \
#	ARGS+="-R testgui"

override_dh_shlibdeps:
	dh_shlibdeps -l$(LIB_PREFIX)/lib/$(DEB_HOST_MULTIARCH)

